Page MenuHomePhabricator

Keep getting internal_api_error_DBQueryError on a query
Closed, ResolvedPublic

Description

Keep getting
<error code="internal_api_error_DBQueryError" info="[83123128be0b28d861312a8f] Database query error" />
on the query
https://www.wikidata.org/w/api.php?format=xml&rawcontinue=1&maxlag=5&action=query&action=wbgetentities&redirects=yes&props=&ids=Q229755|Q603574|Q245160|Q282182|Q290801|Q16375275|Q909076|Q3648053|Q16379668|Q319486|Q328975|Q542017|Q768409|Q174885|Q778213|Q802523|Q1860439|Q179290|Q3736210|Q3214846|Q80227|Q2075554|Q467266|Q941948|Q1991462|Q1371376|Q18973|Q651895|Q273667|Q583294|Q447367|Q2468398|Q1444561|Q2474562|Q625616|Q467436|Q3214977|Q1152972|Q2372847|Q549560|Q211600|Q1802388|Q695002|Q7764970|Q36760|Q3645592|Q1989811|Q2657626|Q1269808|Q163384|Q156322|Q2053267|Q3651831|Q2622599|Q204208|Q2078458|Q310896|Q3649024|Q270535|Q3647687|Q1425119|Q667251|Q12867034|Q1262226|Q14916596|Q1156904|Q732613|Q1048890|Q7849797|Q4141130|Q10600995|Q1225942|Q1178663|Q2379008|Q946194|Q307065|Q3648928|Q7262061|Q4608|Q3651106|Q1351318|Q1899389|Q236673|Q1396707|Q16843187|Q310184|Q474669|Q12871562|Q1396841|Q279575|Q956932|Q1285832|Q1341835|Q983226|Q2029336|Q12871591|Q130338|Q3650740|Q2388278|Q3648919|Q1076875|Q1545224|Q2667495|Q732235|Q4159924|Q16378653|Q12864387|Q15277881|Q132984|Q502560238080|Q2671405|Q3218302|Q2639417|Q320519|Q1963253|Q340562|Q229493|Q340566|Q971820|Q4447083|Q1972264|Q16377807|Q1253264|Q500888|Q1011003|Q2360342|Q572699|Q3329320|Q12861532|Q18274252|Q227156|Q1132665|Q560238|Q956954|Q12862968|Q737874|Q562268|Q1789505|Q2359156|Q4228784|Q22570196|Q321365|Q12868260|Q4459019|Q242593|Q679979|Q20706409|Q714829|Q2032053|Q2372910|Q1975312|Q240954|Q562260|Q217443|Q339546|Q1649341|Q42194|Q232720|Q144086|Q12867981|Q13107337|Q238246|Q1749204|Q2742643|Q3057493|Q12869500|Q15712437|Q321372|Q2028186|Q379627|Q2663466|Q12867596|Q1178627|Q946143|Q140314|Q207680|Q187525|Q2604016|Q348652|Q2347363|Q4279545|Q2024875|Q16371179|Q445572|Q2600596|Q2905597|Q15633865|Q714844|Q2080642|Q3650271|Q768463|Q1973746|Q1800487|Q1249860|Q956922|Q4477434|Q1859167|Q1963971|Q3495441|Q120352|Q1200570|Q1391609|Q116309|Q44811|Q1194400|Q2503011|Q272443|Q12866715|Q1485988|Q562272|Q4084875|Q3652283|Q1764908|Q236041|Q261243|Q12871602|Q1777686|Q1783374|Q770336|Q231630|Q2426436|Q691813|Q549600|Q192173|Q932901|Q2474500|Q1011047|Q7359877|Q609885|Q35717|Q521295|Q1963069|Q2875860|Q2324420|Q271564|Q579080|Q1367287|Q1069959|Q219470|Q317040|Q2900570|Q1477592|Q3652021|Q709218|Q240871|Q446914|Q218435|Q1975365|Q2089129|Q2155213|Q37006|Q37008|Q161428|Q3651259|Q2210273|Q1199026|Q115880|Q2590014|Q3486560|Q941980|Q12869325|Q1417210|Q969541|Q12863156|Q1987828|Q724900|Q734315|Q2040044|Q244007|Q2596393|Q1971402|Q1142561|Q20562702|Q3649330|Q2639866|Q2917500|Q622816|Q186268|Q157372|Q20561864|Q2474490|Q1010960|Q843405|Q467659|Q372698|Q2026822|Q4453141|Q1178707|Q513727|Q217457|Q141829|Q2478899

Just for the reference, those API database errors (not just WD related) are actually not very rare recent days, which makes running bots a hard time.

Details

Related Gerrit Patches:

Event Timeline

Base created this task.Mar 27 2016, 4:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2016, 4:28 PM
Base added a comment.Mar 27 2016, 4:36 PM

<api servedby="mw1116"><error code="internal_api_error_DBQueryError" info="[a46e3c9a140c5904c6d8aa5c] Database query error"/></api>
<api servedby="mw1208"><error code="internal_api_error_DBQueryError" info="[5079872defc7bce8a66c970b] Database query error"/></api>
just that you have more...

Base added a subscriber: Ata.EditedMar 27 2016, 5:18 PM

It also looks that this is personalised to me somehow, as @Ata just didn't get the error on opening it, though I did after that:
<api servedby="mw1121"><error code="internal_api_error_DBQueryError" info="[55ac5ebfa3166a0165828f44] Database query error"/></api>

Base added a comment.Mar 27 2016, 5:28 PM

Ah and here's the causation for that it seems, it's the Q502560238080 element which got into the query. When it's just 5 items the behaviour is normal, just missting="" attribute is added:
https://www.wikidata.org/w/api.php?format=xml&maxlag=5&action=query&action=wbgetentities&redirects=yes&props=&ids=Q15712437|Q4477434|Q502560238080|Q1963971|Q1963253

<api success="1"><entities><entity id="Q15712437" type="item"/><entity id="Q4477434" type="item"/><entity id="Q502560238080" missing=""/><entity id="Q1963971" type="item"/><entity id="Q1963253" type="item"/></entities></api>

So for this one thing you guys have to investigate why on longer queries it spits a DB error instead of adequately proceeding it.

But on larger scale as I said DB errors on API queries are not uncommon these days and I do not deem it to be normal.

Addshore added a subscriber: Addshore.EditedApr 3 2016, 12:08 PM

Here is the result from the logs from my re run of the query

2016-04-03 11:59:21 [ff431090bca14412c08f0a06] mw1203 wikidatawiki 1.27.0-wmf.19 exception ERROR: [ff431090bca14412c08f0a06] /w/api.php?format=xml&rawcontinue=1&maxlag=5&action=query&action=wbgetentities&redirects=yes&props=&ids=Q229755|Q603574|Q245160|Q282182|Q290801|Q16375275|Q909076|Q3648053|Q16379668|Q319486|Q328975|Q542017|Q768409|Q174885|Q778213|Q802523|Q1860439|Q179290|Q3736210|Q3214846|Q80227|Q2075554|Q467266|Q941948|Q1991462|Q1371376|Q18973|Q651895|Q273667|Q583294|Q447367|Q2468398|Q1444561|Q2474562|Q625616|Q467436|Q3214977|Q1152972|Q2372847|Q549560|Q211600|Q1802388|Q695002|Q7764970|Q36760|Q3645592|Q1989811|Q2657626|Q1269808|Q163384|Q156322|Q2053267|Q3651831|Q2622599|Q204208|Q2078458|Q310896|Q3649024|Q270535|Q3647687|Q1425119|Q667251|Q12867034|Q1262226|Q14916596|Q1156904|Q732613|Q1048890|Q7849797|Q4141130|Q10600995|Q1225942|Q1178663|Q2379008|Q946194|Q307065|Q3648928|Q7262061|Q4608|Q3651106|Q1351318|Q1899389|Q236673|Q1396707|Q16843187|Q310184|Q474669|Q12871562|Q1396841|Q279575|Q956932|Q1285832|Q1341835|Q983226|Q2029336|Q12871591|Q130338|Q3650740|Q2388278|Q3648919|Q1076875|Q1545224|Q2667495|Q732235|Q4159924|Q16378653|Q12864387|Q15277881|Q132984|Q502560238080|Q2671405|Q3218302|Q2639417|Q320519|Q1963253|Q340562|Q229493|Q340566|Q971820|Q4447083|Q1972264|Q16377807|Q1253264|Q500888|Q1011003|Q2360342|Q572699|Q3329320|Q12861532|Q18274252|Q227156|Q1132665|Q560238|Q956954|Q12862968|Q737874|Q562268|Q1789505|Q2359156|Q4228784|Q22570196|Q321365|Q12868260|Q4459019|Q242593|Q679979|Q20706409|Q714829|Q2032053|Q2372910|Q1975312|Q240954|Q562260|Q217443|Q339546|Q1649341|Q42194|Q232720|Q144086|Q12867981|Q13107337|Q238246|Q1749204|Q2742643|Q3057493|Q12869500|Q15712437|Q321372|Q2028186|Q379627|Q2663466|Q12867596|Q1178627|Q946143|Q140314|Q207680|Q187525|Q2604016|Q348652|Q2347363|Q4279545|Q2024875|Q16371179|Q445572|Q2600596|Q2905597|Q15633865|Q714844|Q2080642|Q3650271|Q768463|Q1973746|Q1800487|Q1249860|Q956922|Q4477434|Q1859167|Q1963971|Q3495441|Q120352|Q1200570|Q1391609|Q116309|Q44811|Q1194400|Q2503011|Q272443|Q12866715|Q1485988|Q562272|Q4084875|Q3652283|Q1764908|Q236041|Q261243|Q12871602|Q1777686|Q1783374|Q770336|Q231630|Q2426436|Q691813|Q549600|Q192173|Q932901|Q2474500|Q1011047|Q7359877|Q609885|Q35717|Q521295|Q1963069|Q2875860|Q2324420|Q271564|Q579080|Q1367287|Q1069959|Q219470|Q317040|Q2900570|Q1477592|Q3652021|Q709218|Q240871|Q446914|Q218435|Q1975365|Q2089129|Q2155213|Q37006|Q37008|Q161428|Q3651259|Q2210273|Q1199026|Q115880|Q2590014|Q3486560|Q941980|Q12869325|Q1417210|Q969541|Q12863156|Q1987828|Q724900|Q734315|Q2040044|Q244007|Q2596393|Q1971402|Q1142561|Q20562702|Q3649330|Q2639866|Q2917500|Q622816|Q186268|Q157372|Q20561864|Q2474490|Q1010960|Q843405|Q467659|Q372698|Q2026822|Q4453141|Q1178707|Q513727|Q217457|Q141829|Q2478899   DBQueryError from line 934 of /srv/mediawiki/php-1.27.0-wmf.19/includes/db/Database.php: A connection error occured.
Query: SELECT  rev_id,rev_content_format,rev_timestamp,page_latest,page_is_redirect,old_id,old_text,old_flags,epp_entity_id,epp_entity_type  FROM `wb_entity_per_page` INNER JOIN `page` ON ((epp_page_id=page_id)) INNER JOIN `revision` ON ((page_latest=rev_id)) INNER JOIN `text` ON ((old_id=rev_text_id))  WHERE (epp_entity_id = '229755' AND epp_entity_type = 'item') OR (epp_entity_id = '603574' AND epp_entity_type = 'item') OR (epp_entity_id = '245160' AND epp_entity_type = 'item') OR (epp_entity_id = '282182' AND epp_entity_type = 'item') OR (epp_entity_id = '290801' AND epp_entity_type = 'item') OR (epp_entity_id = '16375275' AND epp_entity_type = 'item') OR (epp_entity_id = '909076' AND epp_entity_type = 'item') OR (epp_entity_id = '3648053' AND epp_entity_type = 'item') OR (epp_entity_id = '16379668' AND epp_entity_type = 'item') OR (epp_entity_id = '319486' AND epp_entity_type = 'item') OR (epp_entity_id = '328975' AND epp_entity_type = 'item') OR (epp_entity_id = '542017' AND epp_entity_type = 'item') OR (epp_entity_id = '768409' AND epp_entity_type = 'item') OR (epp_entity_id = '174885' AND epp_entity_type = 'item') OR (epp_entity_id = '778213' AND epp_entity_type = 'item') OR (epp_entity_id = '802523' AND epp_entity_type = 'item') OR (epp_entity_id = '1860439' AND epp_entity_type = 'item') OR (epp_entity_id = '179290' AND epp_entity_type = 'item') OR (epp_entity_id = '3736210' AND epp_entity_type = 'item') OR (epp_entity_id = '3214846' AND epp_entity_type = 'item') OR (epp_entity_id = '80227' AND epp_entity_type = 'item') OR (epp_entity_id = '2075554' AND epp_entity_type = 'item') OR (epp_entity_id = '467266' AND epp_entity_type = 'item') OR (epp_entity_id = '941948' AND epp_entity_type = 'item') OR (epp_entity_id = '1991462' AND epp_entity_type = 'item') OR (epp_entity_id = '1371376' AND epp_entity_type = 'item') OR (epp_entity_id = '18973' AND epp_entity_type = 'item') OR (epp_entity_id = '651895' AND epp_entity_type = 'item') OR (epp_entity_id = '273667' AND epp_entity_type = 'item') OR (epp_entity_id = '583294' AND epp_entity_type = 'item') OR (epp_entity_id = '447367' AND epp_entity_type = 'item') OR (epp_entity_id = '2468398' AND epp_entity_type = 'item') OR (epp_entity_id = '1444561' AND epp_entity_type = 'item') OR (epp_entity_id = '2474562' AND epp_entity_type = 'item') OR (epp_entity_id = '625616' AND epp_entity_type = 'item') OR (epp_entity_id = '467436' AND epp_entity_type = 'item') OR (epp_entity_id = '3214977' AND epp_entity_type = 'item') OR (epp_entity_id = '1152972' AND epp_entity_type = 'item') OR (epp_entity_id = '2372847' AND epp_entity_type = 'item') OR (epp_entity_id = '549560' AND epp_entity_type = 'item') OR (epp_entity_id = '211600' AND epp_entity_type = 'item') OR (epp_entity_id = '1802388' AND epp_entity_type = 'item') OR (epp_entity_id = '695002' AND epp_entity_type = 'item') OR (epp_entity_id = '7764970' AND epp_entity_type = 'item') OR (epp_entity_id = '36760' AND epp_entity_type = 'item') OR (epp_entity_id = '3645592' AND epp_entity_type = 'item') OR (epp_entity_id = '1989811' AND epp_entity_type = 'item') OR (epp_entity_id = '2657626' AND epp_entity_type = 'item') OR (epp_entity_id = '1269808' AND epp_entity_type = 'item') OR (epp_entity_id = '163384' AND epp_entity_type = 'item') OR (epp_entity_id = '156322' AND epp_entity_type = 'item') OR (epp_entity_id = '2053267' AND epp_entity_type = 'item') OR (epp_entity_id = '3651831' AND epp_entity_type = 'item') OR (epp_entity_id = '2622599' AND epp_entity_type = 'item') OR (epp_entity_id = '204208' AND epp_entity_type = 'item') OR (epp_entity_id = '2078458' AND epp_entity_type = 'item') OR (epp_entity_id = '310896' AND epp_entity_type = 'item') OR (epp_entity_id = '3649024' AND epp_entity_type = 'item') OR (epp_entity_id = '270535' AND epp_entity_type = 'item') OR (epp_entity_id = '3647687' AND epp_entity_type = 'item') OR (epp_entity_id = '1425119' AND epp_entity_type = 'item') OR (epp_entity_id = '667251' AND epp_entity_type = 'item') OR (epp_entity_id = '12867034' AND epp_entity_type = 'item') OR (epp_entity_id = '1262226' AND epp_entity_type = 'item') OR (epp_entity_id = '14916596' AND epp_entity_type = 'item') OR (epp_entity_id = '1156904' AND epp_entity_type = 'item') OR (epp_entity_id = '732613' AND epp_entity_type = 'item') OR (epp_entity_id = '1048890' AND epp_entity_type = 'item') OR (epp_entity_id = '7849797' AND epp_entity_type = 'item') OR (epp_entity_id = '4141130' AND epp_entity_type = 'item') OR (epp_entity_id = '10600995' AND epp_entity_type = 'item') OR (epp_entity_id = '1225942' AND epp_entity_type = 'item') OR (epp_entity_id = '1178663' AND epp_entity_type = 'item') OR (epp_entity_id = '2379008' AND epp_entity_type = 'item') OR (epp_entity_id = '946194' AND epp_entity_type = 'item') OR (epp_entity_id = '307065' AND epp_entity_type = 'item') OR (epp_entity_id = '3648928' AND epp_entity_type = 'item') OR (epp_entity_id = '7262061' AND epp_entity_type = 'item') OR (epp_entity_id = '4608' AND epp_entity_type = 'item') OR (epp_entity_id = '3651106' AND epp_entity_type = 'item') OR (epp_entity_id = '1351318' AND epp_entity_type = 'item') OR (epp_entity_id = '1899389' AND epp_entity_type = 'item') OR (epp_entity_id = '236673' AND epp_entity_type = 'item') OR (epp_entity_id = '1396707' AND epp_entity_type = 'item') OR (epp_entity_id = '16843187' AND epp_entity_type = 'item') OR (epp_entity_id = '310184' AND epp_entity_type = 'item') OR (epp_entity_id = '474669' AND epp_entity_type = 'item') OR (epp_entity_id = '12871562' AND epp_entity_type = 'item') OR (epp_entity_id = '1396841' AND epp_entity_type = 'item') OR (epp_entity_id = '279575' AND epp_entity_type = 'item') OR (epp_entity_id = '956932' AND epp_entity_type = 'item') OR (epp_entity_id = '1285832' AND epp_entity_type = 'item') OR (epp_entity_id = '1341835' AND epp_entity_type = 'item') OR (epp_entity_id = '983226' AND epp_entity_type = 'item') OR (epp_entity_id = '2029336' AND epp_entity_type = 'item') OR (epp_entity_id = '12871591' AND epp_entity_type = 'item') OR (epp_entity_id = '130338' AND epp_entity_type = 'item') OR (epp_entity_id = '3650740' AND epp_entity_type = 'item') OR (epp_entity_id = '2388278' AND epp_entity_type = 'item') OR (epp_entity_id = '3648919' AND epp_entity_type = 'item') OR (epp_entity_id = '1076875' AND epp_entity_type = 'item') OR (epp_entity_id = '1545224' AND epp_entity_type = 'item') OR (epp_entity_id = '2667495' AND epp_entity_type = 'item') OR (epp_entity_id = '732235' AND epp_entity_type = 'item') OR (epp_entity_id = '4159924' AND epp_entity_type = 'item') OR (epp_entity_id = '16378653' AND epp_entity_type = 'item') OR (epp_entity_id = '12864387' AND epp_entity_type = 'item') OR (epp_entity_id = '15277881' AND epp_entity_type = 'item') OR (epp_entity_id = '132984' AND epp_entity_type = 'item') OR (epp_entity_id = '502560238080' AND epp_entity_type = 'item') OR (epp_entity_id = '2671405' AND epp_entity_type = 'item') OR (epp_entity_id = '3218302' AND epp_entity_type = 'item') OR (epp_entity_id = '2639417' AND epp_entity_type = 'item') OR (epp_entity_id = '320519' AND epp_entity_type = 'item') OR (epp_entity_id = '1963253' AND epp_entity_type = 'item') OR (epp_entity_id = '340562' AND epp_entity_type = 'item') OR (epp_entity_id = '229493' AND epp_entity_type = 'item') OR (epp_entity_id = '340566' AND epp_entity_type = 'item') OR (epp_entity_id = '971820' AND epp_entity_type = 'item') OR (epp_entity_id = '4447083' AND epp_entity_type = 'item') OR (epp_entity_id = '1972264' AND epp_entity_type = 'item') OR (epp_entity_id = '16377807' AND epp_entity_type = 'item') OR (epp_entity_id = '1253264' AND epp_entity_type = 'item') OR (epp_entity_id = '500888' AND epp_entity_type = 'item') OR (epp_entity_id = '1011003' AND epp_entity_type = 'item') OR (epp_entity_id = '2360342' AND epp_entity_type = 'item') OR (epp_entity_id = '572699' AND epp_entity_type = 'item') OR (epp_entity_id = '3329320' AND epp_entity_type = 'item') OR (epp_entity_id = '12861532' AND epp_entity_type = 'item') OR (epp_entity_id = '18274252' AND epp_entity_type = 'item') OR (epp_entity_id = '227156' AND epp_entity_type = 'item') OR (epp_entity_id = '1132665' AND epp_entity_type = 'item') OR (epp_entity_id = '560238' AND epp_entity_type = 'item') OR (epp_entity_id = '956954' AND epp_entity_type = 'item') OR (epp_entity_id = '12862968' AND epp_entity_type = 'item') OR (epp_entity_id = '737874' AND epp_entity_type = 'item') OR (epp_entity_id = '562268' AND epp_entity_type = 'item') OR (epp_entity_id = '1789505' AND epp_entity_type = 'item') OR (epp_entity_id = '2359156' AND epp_entity_type = 'item') OR (epp_entity_id = '4228784' AND epp_entity_type = 'item') OR (epp_entity_id = '22570196' AND epp_entity_type = 'item') OR (epp_entity_id = '321365' AND epp_entity_type = 'item') OR (epp_entity_id = '12868260' AND epp_entity_type = 'item') OR (epp_entity_id = '4459019' AND epp_entity_type = 'item') OR (epp_entity_id = '242593' AND epp_entity_type = 'item') OR (epp_entity_id = '679979' AND epp_entity_type = 'item') OR (epp_entity_id = '20706409' AND epp_entity_type = 'item') OR (epp_entity_id = '714829' AND epp_entity_type = 'item') OR (epp_entity_id = '2032053' AND epp_entity_type = 'item') OR (epp_entity_id = '2372910' AND epp_entity_type = 'item') OR (epp_entity_id = '1975312' AND epp_entity_type = 'item') OR (epp_entity_id = '240954' AND epp_entity_type = 'item') OR (epp_entity_id = '562260' AND epp_entity_type = 'item') OR (epp_entity_id = '217443' AND epp_entity_type = 'item') OR (epp_entity_id = '339546' AND epp_entity_type = 'item') OR (epp_entity_id = '1649341' AND epp_entity_type = 'item') OR (epp_entity_id = '42194' AND epp_entity_type = 'item') OR (epp_entity_id = '232720' AND epp_entity_type = 'item') OR (epp_entity_id = '144086' AND epp_entity_type = 'item') OR (epp_entity_id = '12867981' AND epp_entity_type = 'item') OR (epp_entity_id = '13107337' AND epp_entity_type = 'item') OR (epp_entity_id = '238246' AND epp_entity_type = 'item') OR (epp_entity_id = '1749204' AND epp_entity_type = 'item') OR (epp_entity_id = '2742643' AND epp_entity_type = 'item') OR (epp_entity_id = '3057493' AND epp_entity_type = 'item') OR (epp_entity_id = '12869500' AND epp_entity_type = 'item') OR (epp_entity_id = '15712437' AND epp_entity_type = 'item') OR (epp_entity_id = '321372' AND epp_entity_type = 'item') OR (epp_entity_id = '2028186' AND epp_entity_type = 'item') OR (epp_entity_id = '379627' AND epp_entity_type = 'item') OR (epp_entity_id = '2663466' AND epp_entity_type = 'item') OR (epp_entity_id = '12867596' AND epp_entity_type = 'item') OR (epp_entity_id = '1178627' AND epp_entity_type = 'item') OR (epp_entity_id = '946143' AND epp_entity_type = 'item') OR (epp_entity_id = '140314' AND epp_entity_type = 'item') OR (epp_entity_id = '207680' AND epp_entity_type = 'item') OR (epp_entity_id = '187525' AND epp_entity_type = 'item') OR (epp_entity_id = '2604016' AND epp_entity_type = 'item') OR (epp_entity_id = '348652' AND epp_entity_type = 'item') OR (epp_entity_id = '2347363' AND epp_entity_type = 'item') OR (epp_entity_id = '4279545' AND epp_entity_type = 'item') OR (epp_entity_id = '2024875' AND epp_entity_type = 'item') OR (epp_entity_id = '16371179' AND epp_entity_type = 'item') OR (epp_entity_id = '445572' AND epp_entity_type = 'item') OR (epp_entity_id = '2600596' AND epp_entity_type = 'item') OR (epp_entity_id = '2905597' AND epp_entity_type = 'item') OR (epp_entity_id = '15633865' AND epp_entity_type = 'item') OR (epp_entity_id = '714844' AND epp_entity_type = 'item') OR (epp_entity_id = '2080642' AND epp_entity_type = 'item') OR (epp_entity_id = '3650271' AND epp_entity_type = 'item') OR (epp_entity_id = '768463' AND epp_entity_type = 'item') OR (epp_entity_id = '1973746' AND epp_entity_type = 'item') OR (epp_entity_id = '1800487' AND epp_entity_type = 'item') OR (epp_entity_id = '1249860' AND epp_entity_type = 'item') OR (epp_entity_id = '956922' AND epp_entity_type = 'item') OR (epp_entity_id = '4477434' AND epp_entity_type = 'item') OR (epp_entity_id = '1859167' AND epp_entity_type = 'item') OR (epp_entity_id = '1963971' AND epp_entity_type = 'item') OR (epp_entity_id = '3495441' AND epp_entity_type = 'item') OR (epp_entity_id = '120352' AND epp_entity_type = 'item') OR (epp_entity_id = '1200570' AND epp_entity_type = 'item') OR (epp_entity_id = '1391609' AND epp_entity_type = 'item') OR (epp_entity_id = '116309' AND epp_entity_type = 'item') OR (epp_entity_id = '44811' AND epp_entity_type = 'item') OR (epp_entity_id = '1194400' AND epp_entity_type = 'item') OR (epp_entity_id = '2503011' AND epp_entity_type = 'item') OR (epp_entity_id = '272443' AND epp_entity_type = 'item') OR (epp_entity_id = '12866715' AND epp_entity_type = 'item') OR (epp_entity_id = '1485988' AND epp_entity_type = 'item') OR (epp_entity_id = '562272' AND epp_entity_type = 'item') OR (epp_entity_id = '4084875' AND epp_entity_type = 'item') OR (epp_entity_id = '3652283' AND epp_entity_type = 'item') OR (epp_entity_id = '1764908' AND epp_entity_type = 'item') OR (epp_entity_id = '236041' AND epp_entity_type = 'item') OR (epp_entity_id = '261243' AND epp_entity_type = 'item') OR (epp_entity_id = '12871602' AND epp_entity_type = 'item') OR (epp_entity_id = '1777686' AND epp_entity_type = 'item') OR (epp_entity_id = '1783374' AND epp_entity_type = 'item') OR (epp_entity_id = '770336' AND epp_entity_type = 'item') OR (epp_entity_id = '231630' AND epp_entity_type = 'item') OR (epp_entity_id = '2426436' AND epp_entity_type = 'item') OR (epp_entity_id = '691813' AND epp_entity_type = 'item') OR (epp_entity_id = '549600' AND epp_entity_type = 'item') OR (epp_entity_id = '192173' AND epp_entity_type = 'item') OR (epp_entity_id = '932901' AND epp_entity_type = 'item') OR (epp_entity_id = '2474500' AND epp_entity_type = 'item') OR (epp_entity_id = '1011047' AND epp_entity_type = 'item') OR (epp_entity_id = '7359877' AND epp_entity_type = 'item') OR (epp_entity_id = '609885' AND epp_entity_type = 'item') OR (epp_entity_id = '35717' AND epp_entity_type = 'item') OR (epp_entity_id = '521295' AND epp_entity_type = 'item') OR (epp_entity_id = '1963069' AND epp_entity_type = 'item') OR (epp_entity_id = '2875860' AND epp_entity_type = 'item') OR (epp_entity_id = '2324420' AND epp_entity_type = 'item') OR (epp_entity_id = '271564' AND epp_entity_type = 'item') OR (epp_entity_id = '579080' AND epp_entity_type = 'item') OR (epp_entity_id = '1367287' AND epp_entity_type = 'item') OR (epp_entity_id = '1069959' AND epp_entity_type = 'item') OR (epp_entity_id = '219470' AND epp_entity_type = 'item') OR (epp_entity_id = '317040' AND epp_entity_type = 'item') OR (epp_entity_id = '2900570' AND epp_entity_type = 'item') OR (epp_entity_id = '1477592' AND epp_entity_type = 'item') OR (epp_entity_id = '3652021' AND epp_entity_type = 'item') OR (epp_entity_id = '709218' AND epp_entity_type = 'item') OR (epp_entity_id = '240871' AND epp_entity_type = 'item') OR (epp_entity_id = '446914' AND epp_entity_type = 'item') OR (epp_entity_id = '218435' AND epp_entity_type = 'item') OR (epp_entity_id = '1975365' AND epp_entity_type = 'item') OR (epp_entity_id = '2089129' AND epp_entity_type = 'item') OR (epp_entity_id = '2155213' AND epp_entity_type = 'item') OR (epp_entity_id = '37006' AND epp_entity_type = 'item') OR (epp_entity_id = '37008' AND epp_entity_type = 'item') OR (epp_entity_id = '161428' AND epp_entity_type = 'item') OR (epp_entity_id = '3651259' AND epp_entity_type = 'item') OR (epp_entity_id = '2210273' AND epp_entity_type = 'item') OR (epp_entity_id = '1199026' AND epp_entity_type = 'item') OR (epp_entity_id = '115880' AND epp_entity_type = 'item') OR (epp_entity_id = '2590014' AND epp_entity_type = 'item') OR (epp_entity_id = '3486560' AND epp_entity_type = 'item') OR (epp_entity_id = '941980' AND epp_entity_type = 'item') OR (epp_entity_id = '12869325' AND epp_entity_type = 'item') OR (epp_entity_id = '1417210' AND epp_entity_type = 'item') OR (epp_entity_id = '969541' AND epp_entity_type = 'item') OR (epp_entity_id = '12863156' AND epp_entity_type = 'item') OR (epp_entity_id = '1987828' AND epp_entity_type = 'item') OR (epp_entity_id = '724900' AND epp_entity_type = 'item') OR (epp_entity_id = '734315' AND epp_entity_type = 'item') OR (epp_entity_id = '2040044' AND epp_entity_type = 'item') OR (epp_entity_id = '244007' AND epp_entity_type = 'item') OR (epp_entity_id = '2596393' AND epp_entity_type = 'item') OR (epp_entity_id = '1971402' AND epp_entity_type = 'item') OR (epp_entity_id = '1142561' AND epp_entity_type = 'item') OR (epp_entity_id = '20562702' AND epp_entity_type = 'item') OR (epp_entity_id = '3649330' AND epp_entity_type = 'item') OR (epp_entity_id = '2639866' AND epp_entity_type = 'item') OR (epp_entity_id = '2917500' AND epp_entity_type = 'item') OR (epp_entity_id = '622816' AND epp_entity_type = 'item') OR (epp_entity_id = '186268' AND epp_entity_type = 'item') OR (epp_entity_id = '157372' AND epp_entity_type = 'item') OR (epp_entity_id = '20561864' AND epp_entity_type = 'item') OR (epp_entity_id = '2474490' AND epp_entity_type = 'item') OR (epp_entity_id = '1010960' AND epp_entity_type = 'item') OR (epp_entity_id = '843405' AND epp_entity_type = 'item') OR (epp_entity_id = '467659' AND epp_entity_type = 'item') OR (epp_entity_id = '372698' AND epp_entity_type = 'item') OR (epp_entity_id = '2026822' AND epp_entity_type = 'item') OR (epp_entity_id = '4453141' AND epp_entity_type = 'item') OR (epp_entity_id = '1178707' AND epp_entity_type = 'item') OR (epp_entity_id = '513727' AND epp_entity_type = 'item') OR (epp_entity_id = '217457' AND epp_entity_type = 'item') OR (epp_entity_id = '141829' AND epp_entity_type = 'item') OR (epp_entity_id = '2478899' AND epp_entity_type = 'item')
Function: Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup::selectRevisionInformationMultiple
Error: 2013 Lost connection to MySQL server during query (10.64.48.25)
 {"exception_id":"ff431090bca14412c08f0a06"}
[Exception DBQueryError] (/srv/mediawiki/php-1.27.0-wmf.19/includes/db/Database.php:934) A connection error occured.
Query: SELECT  rev_id,rev_content_format,rev_timestamp,page_latest,page_is_redirect,old_id,old_text,old_flags,epp_entity_id,epp_entity_type  FROM `wb_entity_per_page` INNER JOIN `page` ON ((epp_page_id=page_id)) INNER JOIN `revision` ON ((page_latest=rev_id)) INNER JOIN `text` ON ((old_id=rev_text_id))  WHERE (epp_entity_id = '229755' AND epp_entity_type = 'item') OR (epp_entity_id = '603574' AND epp_entity_type = 'item') OR (epp_entity_id = '245160' AND epp_entity_type = 'item') OR (epp_entity_id = '282182' AND epp_entity_type = 'item') OR (epp_entity_id = '290801' AND epp_entity_type = 'item') OR (epp_entity_id = '16375275' AND epp_entity_type = 'item') OR (epp_entity_id = '909076' AND epp_entity_type = 'item') OR (epp_entity_id = '3648053' AND epp_entity_type = 'item') OR (epp_entity_id = '16379668' AND epp_entity_type = 'item') OR (epp_entity_id = '319486' AND epp_entity_type = 'item') OR (epp_entity_id = '328975' AND epp_entity_type = 'item') OR (epp_entity_id = '542017' AND epp_entity_type = 'item') OR (epp_entity_id = '768409' AND epp_entity_type = 'item') OR (epp_entity_id = '174885' AND epp_entity_type = 'item') OR (epp_entity_id = '778213' AND epp_entity_type = 'item') OR (epp_entity_id = '802523' AND epp_entity_type = 'item') OR (epp_entity_id = '1860439' AND epp_entity_type = 'item') OR (epp_entity_id = '179290' AND epp_entity_type = 'item') OR (epp_entity_id = '3736210' AND epp_entity_type = 'item') OR (epp_entity_id = '3214846' AND epp_entity_type = 'item') OR (epp_entity_id = '80227' AND epp_entity_type = 'item') OR (epp_entity_id = '2075554' AND epp_entity_type = 'item') OR (epp_entity_id = '467266' AND epp_entity_type = 'item') OR (epp_entity_id = '941948' AND epp_entity_type = 'item') OR (epp_entity_id = '1991462' AND epp_entity_type = 'item') OR (epp_entity_id = '1371376' AND epp_entity_type = 'item') OR (epp_entity_id = '18973' AND epp_entity_type = 'item') OR (epp_entity_id = '651895' AND epp_entity_type = 'item') OR (epp_entity_id = '273667' AND epp_entity_type = 'item') OR (epp_entity_id = '583294' AND epp_entity_type = 'item') OR (epp_entity_id = '447367' AND epp_entity_type = 'item') OR (epp_entity_id = '2468398' AND epp_entity_type = 'item') OR (epp_entity_id = '1444561' AND epp_entity_type = 'item') OR (epp_entity_id = '2474562' AND epp_entity_type = 'item') OR (epp_entity_id = '625616' AND epp_entity_type = 'item') OR (epp_entity_id = '467436' AND epp_entity_type = 'item') OR (epp_entity_id = '3214977' AND epp_entity_type = 'item') OR (epp_entity_id = '1152972' AND epp_entity_type = 'item') OR (epp_entity_id = '2372847' AND epp_entity_type = 'item') OR (epp_entity_id = '549560' AND epp_entity_type = 'item') OR (epp_entity_id = '211600' AND epp_entity_type = 'item') OR (epp_entity_id = '1802388' AND epp_entity_type = 'item') OR (epp_entity_id = '695002' AND epp_entity_type = 'item') OR (epp_entity_id = '7764970' AND epp_entity_type = 'item') OR (epp_entity_id = '36760' AND epp_entity_type = 'item') OR (epp_entity_id = '3645592' AND epp_entity_type = 'item') OR (epp_entity_id = '1989811' AND epp_entity_type = 'item') OR (epp_entity_id = '2657626' AND epp_entity_type = 'item') OR (epp_entity_id = '1269808' AND epp_entity_type = 'item') OR (epp_entity_id = '163384' AND epp_entity_type = 'item') OR (epp_entity_id = '156322' AND epp_entity_type = 'item') OR (epp_entity_id = '2053267' AND epp_entity_type = 'item') OR (epp_entity_id = '3651831' AND epp_entity_type = 'item') OR (epp_entity_id = '2622599' AND epp_entity_type = 'item') OR (epp_entity_id = '204208' AND epp_entity_type = 'item') OR (epp_entity_id = '2078458' AND epp_entity_type = 'item') OR (epp_entity_id = '310896' AND epp_entity_type = 'item') OR (epp_entity_id = '3649024' AND epp_entity_type = 'item') OR (epp_entity_id = '270535' AND epp_entity_type = 'item') OR (epp_entity_id = '3647687' AND epp_entity_type = 'item') OR (epp_entity_id = '1425119' AND epp_entity_type = 'item') OR (epp_entity_id = '667251' AND epp_entity_type = 'item') OR (epp_entity_id = '12867034' AND epp_entity_type = 'item') OR (epp_entity_id = '1262226' AND epp_entity_type = 'item') OR (epp_entity_id = '14916596' AND epp_entity_type = 'item') OR (epp_entity_id = '1156904' AND epp_entity_type = 'item') OR (epp_entity_id = '732613' AND epp_entity_type = 'item') OR (epp_entity_id = '1048890' AND epp_entity_type = 'item') OR (epp_entity_id = '7849797' AND epp_entity_type = 'item') OR (epp_entity_id = '4141130' AND epp_entity_type = 'item') OR (epp_entity_id = '10600995' AND epp_entity_type = 'item') OR (epp_entity_id = '1225942' AND epp_entity_type = 'item') OR (epp_entity_id = '1178663' AND epp_entity_type = 'item') OR (epp_entity_id = '2379008' AND epp_entity_type = 'item') OR (epp_entity_id = '946194' AND epp_entity_type = 'item') OR (epp_entity_id = '307065' AND epp_entity_type = 'item') OR (epp_entity_id = '3648928' AND epp_entity_type = 'item') OR (epp_entity_id = '7262061' AND epp_entity_type = 'item') OR (epp_entity_id = '4608' AND epp_entity_type = 'item') OR (epp_entity_id = '3651106' AND epp_entity_type = 'item') OR (epp_entity_id = '1351318' AND epp_entity_type = 'item') OR (epp_entity_id = '1899389' AND epp_entity_type = 'item') OR (epp_entity_id = '236673' AND epp_entity_type = 'item') OR (epp_entity_id = '1396707' AND epp_entity_type = 'item') OR (epp_entity_id = '16843187' AND epp_entity_type = 'item') OR (epp_entity_id = '310184' AND epp_entity_type = 'item') OR (epp_entity_id = '474669' AND epp_entity_type = 'item') OR (epp_entity_id = '12871562' AND epp_entity_type = 'item') OR (epp_entity_id = '1396841' AND epp_entity_type = 'item') OR (epp_entity_id = '279575' AND epp_entity_type = 'item') OR (epp_entity_id = '956932' AND epp_entity_type = 'item') OR (epp_entity_id = '1285832' AND epp_entity_type = 'item') OR (epp_entity_id = '1341835' AND epp_entity_type = 'item') OR (epp_entity_id = '983226' AND epp_entity_type = 'item') OR (epp_entity_id = '2029336' AND epp_entity_type = 'item') OR (epp_entity_id = '12871591' AND epp_entity_type = 'item') OR (epp_entity_id = '130338' AND epp_entity_type = 'item') OR (epp_entity_id = '3650740' AND epp_entity_type = 'item') OR (epp_entity_id = '2388278' AND epp_entity_type = 'item') OR (epp_entity_id = '3648919' AND epp_entity_type = 'item') OR (epp_entity_id = '1076875' AND epp_entity_type = 'item') OR (epp_entity_id = '1545224' AND epp_entity_type = 'item') OR (epp_entity_id = '2667495' AND epp_entity_type = 'item') OR (epp_entity_id = '732235' AND epp_entity_type = 'item') OR (epp_entity_id = '4159924' AND epp_entity_type = 'item') OR (epp_entity_id = '16378653' AND epp_entity_type = 'item') OR (epp_entity_id = '12864387' AND epp_entity_type = 'item') OR (epp_entity_id = '15277881' AND epp_entity_type = 'item') OR (epp_entity_id = '132984' AND epp_entity_type = 'item') OR (epp_entity_id = '502560238080' AND epp_entity_type = 'item') OR (epp_entity_id = '2671405' AND epp_entity_type = 'item') OR (epp_entity_id = '3218302' AND epp_entity_type = 'item') OR (epp_entity_id = '2639417' AND epp_entity_type = 'item') OR (epp_entity_id = '320519' AND epp_entity_type = 'item') OR (epp_entity_id = '1963253' AND epp_entity_type = 'item') OR (epp_entity_id = '340562' AND epp_entity_type = 'item') OR (epp_entity_id = '229493' AND epp_entity_type = 'item') OR (epp_entity_id = '340566' AND epp_entity_type = 'item') OR (epp_entity_id = '971820' AND epp_entity_type = 'item') OR (epp_entity_id = '4447083' AND epp_entity_type = 'item') OR (epp_entity_id = '1972264' AND epp_entity_type = 'item') OR (epp_entity_id = '16377807' AND epp_entity_type = 'item') OR (epp_entity_id = '1253264' AND epp_entity_type = 'item') OR (epp_entity_id = '500888' AND epp_entity_type = 'item') OR (epp_entity_id = '1011003' AND epp_entity_type = 'item') OR (epp_entity_id = '2360342' AND epp_entity_type = 'item') OR (epp_entity_id = '572699' AND epp_entity_type = 'item') OR (epp_entity_id = '3329320' AND epp_entity_type = 'item') OR (epp_entity_id = '12861532' AND epp_entity_type = 'item') OR (epp_entity_id = '18274252' AND epp_entity_type = 'item') OR (epp_entity_id = '227156' AND epp_entity_type = 'item') OR (epp_entity_id = '1132665' AND epp_entity_type = 'item') OR (epp_entity_id = '560238' AND epp_entity_type = 'item') OR (epp_entity_id = '956954' AND epp_entity_type = 'item') OR (epp_entity_id = '12862968' AND epp_entity_type = 'item') OR (epp_entity_id = '737874' AND epp_entity_type = 'item') OR (epp_entity_id = '562268' AND epp_entity_type = 'item') OR (epp_entity_id = '1789505' AND epp_entity_type = 'item') OR (epp_entity_id = '2359156' AND epp_entity_type = 'item') OR (epp_entity_id = '4228784' AND epp_entity_type = 'item') OR (epp_entity_id = '22570196' AND epp_entity_type = 'item') OR (epp_entity_id = '321365' AND epp_entity_type = 'item') OR (epp_entity_id = '12868260' AND epp_entity_type = 'item') OR (epp_entity_id = '4459019' AND epp_entity_type = 'item') OR (epp_entity_id = '242593' AND epp_entity_type = 'item') OR (epp_entity_id = '679979' AND epp_entity_type = 'item') OR (epp_entity_id = '20706409' AND epp_entity_type = 'item') OR (epp_entity_id = '714829' AND epp_entity_type = 'item') OR (epp_entity_id = '2032053' AND epp_entity_type = 'item') OR (epp_entity_id = '2372910' AND epp_entity_type = 'item') OR (epp_entity_id = '1975312' AND epp_entity_type = 'item') OR (epp_entity_id = '240954' AND epp_entity_type = 'item') OR (epp_entity_id = '562260' AND epp_entity_type = 'item') OR (epp_entity_id = '217443' AND epp_entity_type = 'item') OR (epp_entity_id = '339546' AND epp_entity_type = 'item') OR (epp_entity_id = '1649341' AND epp_entity_type = 'item') OR (epp_entity_id = '42194' AND epp_entity_type = 'item') OR (epp_entity_id = '232720' AND epp_entity_type = 'item') OR (epp_entity_id = '144086' AND epp_entity_type = 'item') OR (epp_entity_id = '12867981' AND epp_entity_type = 'item') OR (epp_entity_id = '13107337' AND epp_entity_type = 'item') OR (epp_entity_id = '238246' AND epp_entity_type = 'item') OR (epp_entity_id = '1749204' AND epp_entity_type = 'item') OR (epp_entity_id = '2742643' AND epp_entity_type = 'item') OR (epp_entity_id = '3057493' AND epp_entity_type = 'item') OR (epp_entity_id = '12869500' AND epp_entity_type = 'item') OR (epp_entity_id = '15712437' AND epp_entity_type = 'item') OR (epp_entity_id = '321372' AND epp_entity_type = 'item') OR (epp_entity_id = '2028186' AND epp_entity_type = 'item') OR (epp_entity_id = '379627' AND epp_entity_type = 'item') OR (epp_entity_id = '2663466' AND epp_entity_type = 'item') OR (epp_entity_id = '12867596' AND epp_entity_type = 'item') OR (epp_entity_id = '1178627' AND epp_entity_type = 'item') OR (epp_entity_id = '946143' AND epp_entity_type = 'item') OR (epp_entity_id = '140314' AND epp_entity_type = 'item') OR (epp_entity_id = '207680' AND epp_entity_type = 'item') OR (epp_entity_id = '187525' AND epp_entity_type = 'item') OR (epp_entity_id = '2604016' AND epp_entity_type = 'item') OR (epp_entity_id = '348652' AND epp_entity_type = 'item') OR (epp_entity_id = '2347363' AND epp_entity_type = 'item') OR (epp_entity_id = '4279545' AND epp_entity_type = 'item') OR (epp_entity_id = '2024875' AND epp_entity_type = 'item') OR (epp_entity_id = '16371179' AND epp_entity_type = 'item') OR (epp_entity_id = '445572' AND epp_entity_type = 'item') OR (epp_entity_id = '2600596' AND epp_entity_type = 'item') OR (epp_entity_id = '2905597' AND epp_entity_type = 'item') OR (epp_entity_id = '15633865' AND epp_entity_type = 'item') OR (epp_entity_id = '714844' AND epp_entity_type = 'item') OR (epp_entity_id = '2080642' AND epp_entity_type = 'item') OR (epp_entity_id = '3650271' AND epp_entity_type = 'item') OR (epp_entity_id = '768463' AND epp_entity_type = 'item') OR (epp_entity_id = '1973746' AND epp_entity_type = 'item') OR (epp_entity_id = '1800487' AND epp_entity_type = 'item') OR (epp_entity_id = '1249860' AND epp_entity_type = 'item') OR (epp_entity_id = '956922' AND epp_entity_type = 'item') OR (epp_entity_id = '4477434' AND epp_entity_type = 'item') OR (epp_entity_id = '1859167' AND epp_entity_type = 'item') OR (epp_entity_id = '1963971' AND epp_entity_type = 'item') OR (epp_entity_id = '3495441' AND epp_entity_type = 'item') OR (epp_entity_id = '120352' AND epp_entity_type = 'item') OR (epp_entity_id = '1200570' AND epp_entity_type = 'item') OR (epp_entity_id = '1391609' AND epp_entity_type = 'item') OR (epp_entity_id = '116309' AND epp_entity_type = 'item') OR (epp_entity_id = '44811' AND epp_entity_type = 'item') OR (epp_entity_id = '1194400' AND epp_entity_type = 'item') OR (epp_entity_id = '2503011' AND epp_entity_type = 'item') OR (epp_entity_id = '272443' AND epp_entity_type = 'item') OR (epp_entity_id = '12866715' AND epp_entity_type = 'item') OR (epp_entity_id = '1485988' AND epp_entity_type = 'item') OR (epp_entity_id = '562272' AND epp_entity_type = 'item') OR (epp_entity_id = '4084875' AND epp_entity_type = 'item') OR (epp_entity_id = '3652283' AND epp_entity_type = 'item') OR (epp_entity_id = '1764908' AND epp_entity_type = 'item') OR (epp_entity_id = '236041' AND epp_entity_type = 'item') OR (epp_entity_id = '261243' AND epp_entity_type = 'item') OR (epp_entity_id = '12871602' AND epp_entity_type = 'item') OR (epp_entity_id = '1777686' AND epp_entity_type = 'item') OR (epp_entity_id = '1783374' AND epp_entity_type = 'item') OR (epp_entity_id = '770336' AND epp_entity_type = 'item') OR (epp_entity_id = '231630' AND epp_entity_type = 'item') OR (epp_entity_id = '2426436' AND epp_entity_type = 'item') OR (epp_entity_id = '691813' AND epp_entity_type = 'item') OR (epp_entity_id = '549600' AND epp_entity_type = 'item') OR (epp_entity_id = '192173' AND epp_entity_type = 'item') OR (epp_entity_id = '932901' AND epp_entity_type = 'item') OR (epp_entity_id = '2474500' AND epp_entity_type = 'item') OR (epp_entity_id = '1011047' AND epp_entity_type = 'item') OR (epp_entity_id = '7359877' AND epp_entity_type = 'item') OR (epp_entity_id = '609885' AND epp_entity_type = 'item') OR (epp_entity_id = '35717' AND epp_entity_type = 'item') OR (epp_entity_id = '521295' AND epp_entity_type = 'item') OR (epp_entity_id = '1963069' AND epp_entity_type = 'item') OR (epp_entity_id = '2875860' AND epp_entity_type = 'item') OR (epp_entity_id = '2324420' AND epp_entity_type = 'item') OR (epp_entity_id = '271564' AND epp_entity_type = 'item') OR (epp_entity_id = '579080' AND epp_entity_type = 'item') OR (epp_entity_id = '1367287' AND epp_entity_type = 'item') OR (epp_entity_id = '1069959' AND epp_entity_type = 'item') OR (epp_entity_id = '219470' AND epp_entity_type = 'item') OR (epp_entity_id = '317040' AND epp_entity_type = 'item') OR (epp_entity_id = '2900570' AND epp_entity_type = 'item') OR (epp_entity_id = '1477592' AND epp_entity_type = 'item') OR (epp_entity_id = '3652021' AND epp_entity_type = 'item') OR (epp_entity_id = '709218' AND epp_entity_type = 'item') OR (epp_entity_id = '240871' AND epp_entity_type = 'item') OR (epp_entity_id = '446914' AND epp_entity_type = 'item') OR (epp_entity_id = '218435' AND epp_entity_type = 'item') OR (epp_entity_id = '1975365' AND epp_entity_type = 'item') OR (epp_entity_id = '2089129' AND epp_entity_type = 'item') OR (epp_entity_id = '2155213' AND epp_entity_type = 'item') OR (epp_entity_id = '37006' AND epp_entity_type = 'item') OR (epp_entity_id = '37008' AND epp_entity_type = 'item') OR (epp_entity_id = '161428' AND epp_entity_type = 'item') OR (epp_entity_id = '3651259' AND epp_entity_type = 'item') OR (epp_entity_id = '2210273' AND epp_entity_type = 'item') OR (epp_entity_id = '1199026' AND epp_entity_type = 'item') OR (epp_entity_id = '115880' AND epp_entity_type = 'item') OR (epp_entity_id = '2590014' AND epp_entity_type = 'item') OR (epp_entity_id = '3486560' AND epp_entity_type = 'item') OR (epp_entity_id = '941980' AND epp_entity_type = 'item') OR (epp_entity_id = '12869325' AND epp_entity_type = 'item') OR (epp_entity_id = '1417210' AND epp_entity_type = 'item') OR (epp_entity_id = '969541' AND epp_entity_type = 'item') OR (epp_entity_id = '12863156' AND epp_entity_type = 'item') OR (epp_entity_id = '1987828' AND epp_entity_type = 'item') OR (epp_entity_id = '724900' AND epp_entity_type = 'item') OR (epp_entity_id = '734315' AND epp_entity_type = 'item') OR (epp_entity_id = '2040044' AND epp_entity_type = 'item') OR (epp_entity_id = '244007' AND epp_entity_type = 'item') OR (epp_entity_id = '2596393' AND epp_entity_type = 'item') OR (epp_entity_id = '1971402' AND epp_entity_type = 'item') OR (epp_entity_id = '1142561' AND epp_entity_type = 'item') OR (epp_entity_id = '20562702' AND epp_entity_type = 'item') OR (epp_entity_id = '3649330' AND epp_entity_type = 'item') OR (epp_entity_id = '2639866' AND epp_entity_type = 'item') OR (epp_entity_id = '2917500' AND epp_entity_type = 'item') OR (epp_entity_id = '622816' AND epp_entity_type = 'item') OR (epp_entity_id = '186268' AND epp_entity_type = 'item') OR (epp_entity_id = '157372' AND epp_entity_type = 'item') OR (epp_entity_id = '20561864' AND epp_entity_type = 'item') OR (epp_entity_id = '2474490' AND epp_entity_type = 'item') OR (epp_entity_id = '1010960' AND epp_entity_type = 'item') OR (epp_entity_id = '843405' AND epp_entity_type = 'item') OR (epp_entity_id = '467659' AND epp_entity_type = 'item') OR (epp_entity_id = '372698' AND epp_entity_type = 'item') OR (epp_entity_id = '2026822' AND epp_entity_type = 'item') OR (epp_entity_id = '4453141' AND epp_entity_type = 'item') OR (epp_entity_id = '1178707' AND epp_entity_type = 'item') OR (epp_entity_id = '513727' AND epp_entity_type = 'item') OR (epp_entity_id = '217457' AND epp_entity_type = 'item') OR (epp_entity_id = '141829' AND epp_entity_type = 'item') OR (epp_entity_id = '2478899' AND epp_entity_type = 'item')
Function: Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup::selectRevisionInformationMultiple
Error: 2013 Lost connection to MySQL server during query (10.64.48.25)

  #0 /srv/mediawiki/php-1.27.0-wmf.19/includes/db/Database.php(884): DatabaseBase->reportQueryError(string, integer, string, string, boolean)
  #1 /srv/mediawiki/php-1.27.0-wmf.19/includes/db/Database.php(1233): DatabaseBase->query(string, string)
  #2 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityMetaDataLookup.php(180): DatabaseBase->select(array, array, string, string, array, array)
  #3 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityMetaDataLookup.php(56): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->selectRevisionInformationMultiple(array, integer)
  #4 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/PrefetchingWikiPageEntityMetaDataAccessor.php(192): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->loadRevisionInformation(array, string)
  #5 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/PrefetchingWikiPageEntityMetaDataAccessor.php(161): Wikibase\Lib\Store\Sql\PrefetchingWikiPageEntityMetaDataAccessor->doFetch()
  #6 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php(136): Wikibase\Lib\Store\Sql\PrefetchingWikiPageEntityMetaDataAccessor->loadRevisionInformation(array, string)
  #7 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(116): Wikibase\Lib\Store\WikiPageEntityRevisionLookup->getLatestRevisionId(Wikibase\DataModel\Entity\ItemId, string)
  #8 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(149): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId, string)
  #9 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(132): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision(Wikibase\DataModel\Entity\ItemId, string)
  #10 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/repo/includes/Api/GetEntities.php(250): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId)
  #11 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/repo/includes/Api/GetEntities.php(232): Wikibase\Repo\Api\GetEntities->getEntityRevision(Wikibase\DataModel\Entity\ItemId, boolean)
  #12 /srv/mediawiki/php-1.27.0-wmf.19/extensions/Wikidata/extensions/Wikibase/repo/includes/Api/GetEntities.php(124): Wikibase\Repo\Api\GetEntities->getEntityRevisionsFromEntityIds(array, boolean)
  #13 /srv/mediawiki/php-1.27.0-wmf.19/includes/api/ApiMain.php(1359): Wikibase\Repo\Api\GetEntities->execute()
  #14 /srv/mediawiki/php-1.27.0-wmf.19/includes/api/ApiMain.php(462): ApiMain->executeAction()
  #15 /srv/mediawiki/php-1.27.0-wmf.19/includes/api/ApiMain.php(433): ApiMain->executeActionWithErrorHandling()
  #16 /srv/mediawiki/php-1.27.0-wmf.19/api.php(83): ApiMain->execute()
  #17 /srv/mediawiki/w/api.php(3): include(string)
  #18 {main}

I tried running this query on an analytics host and the execution time was as follows:

291 rows in set (15 min 50.03 sec)
hoo added a subscriber: hoo.Apr 7 2016, 4:01 PM
Addshore added a comment.EditedApr 7 2016, 4:03 PM

The Query:

SELECT  rev_id,rev_content_format,rev_timestamp,page_latest,page_is_redirect,old_id,old_text,old_flags,epp_entity_id,epp_entity_type  FROM `wb_entity_per_page` INNER JOIN `page` ON ((epp_page_id=page_id)) INNER JOIN `revision` ON ((page_latest=rev_id)) INNER JOIN `text` ON ((old_id=rev_text_id))  WHERE (epp_entity_id = '229755' AND epp_entity_type = 'item') OR (epp_entity_id = '603574' AND epp_entity_type = 'item') OR (epp_entity_id = '245160' AND epp_entity_type = 'item') OR (epp_entity_id = '282182' AND epp_entity_type = 'item') OR (epp_entity_id = '290801' AND epp_entity_type = 'item') OR (epp_entity_id = '16375275' AND epp_entity_type = 'item') OR (epp_entity_id = '909076' AND epp_entity_type = 'item') OR (epp_entity_id = '3648053' AND epp_entity_type = 'item') OR (epp_entity_id = '16379668' AND epp_entity_type = 'item') OR (epp_entity_id = '319486' AND epp_entity_type = 'item') OR (epp_entity_id = '328975' AND epp_entity_type = 'item') OR (epp_entity_id = '542017' AND epp_entity_type = 'item') OR (epp_entity_id = '768409' AND epp_entity_type = 'item') OR (epp_entity_id = '174885' AND epp_entity_type = 'item') OR (epp_entity_id = '778213' AND epp_entity_type = 'item') OR (epp_entity_id = '802523' AND epp_entity_type = 'item') OR (epp_entity_id = '1860439' AND epp_entity_type = 'item') OR (epp_entity_id = '179290' AND epp_entity_type = 'item') OR (epp_entity_id = '3736210' AND epp_entity_type = 'item') OR (epp_entity_id = '3214846' AND epp_entity_type = 'item') OR (epp_entity_id = '80227' AND epp_entity_type = 'item') OR (epp_entity_id = '2075554' AND epp_entity_type = 'item') OR (epp_entity_id = '467266' AND epp_entity_type = 'item') OR (epp_entity_id = '941948' AND epp_entity_type = 'item') OR (epp_entity_id = '1991462' AND epp_entity_type = 'item') OR (epp_entity_id = '1371376' AND epp_entity_type = 'item') OR (epp_entity_id = '18973' AND epp_entity_type = 'item') OR (epp_entity_id = '651895' AND epp_entity_type = 'item') OR (epp_entity_id = '273667' AND epp_entity_type = 'item') OR (epp_entity_id = '583294' AND epp_entity_type = 'item') OR (epp_entity_id = '447367' AND epp_entity_type = 'item') OR (epp_entity_id = '2468398' AND epp_entity_type = 'item') OR (epp_entity_id = '1444561' AND epp_entity_type = 'item') OR (epp_entity_id = '2474562' AND epp_entity_type = 'item') OR (epp_entity_id = '625616' AND epp_entity_type = 'item') OR (epp_entity_id = '467436' AND epp_entity_type = 'item') OR (epp_entity_id = '3214977' AND epp_entity_type = 'item') OR (epp_entity_id = '1152972' AND epp_entity_type = 'item') OR (epp_entity_id = '2372847' AND epp_entity_type = 'item') OR (epp_entity_id = '549560' AND epp_entity_type = 'item') OR (epp_entity_id = '211600' AND epp_entity_type = 'item') OR (epp_entity_id = '1802388' AND epp_entity_type = 'item') OR (epp_entity_id = '695002' AND epp_entity_type = 'item') OR (epp_entity_id = '7764970' AND epp_entity_type = 'item') OR (epp_entity_id = '36760' AND epp_entity_type = 'item') OR (epp_entity_id = '3645592' AND epp_entity_type = 'item') OR (epp_entity_id = '1989811' AND epp_entity_type = 'item') OR (epp_entity_id = '2657626' AND epp_entity_type = 'item') OR (epp_entity_id = '1269808' AND epp_entity_type = 'item') OR (epp_entity_id = '163384' AND epp_entity_type = 'item') OR (epp_entity_id = '156322' AND epp_entity_type = 'item') OR (epp_entity_id = '2053267' AND epp_entity_type = 'item') OR (epp_entity_id = '3651831' AND epp_entity_type = 'item') OR (epp_entity_id = '2622599' AND epp_entity_type = 'item') OR (epp_entity_id = '204208' AND epp_entity_type = 'item') OR (epp_entity_id = '2078458' AND epp_entity_type = 'item') OR (epp_entity_id = '310896' AND epp_entity_type = 'item') OR (epp_entity_id = '3649024' AND epp_entity_type = 'item') OR (epp_entity_id = '270535' AND epp_entity_type = 'item') OR (epp_entity_id = '3647687' AND epp_entity_type = 'item') OR (epp_entity_id = '1425119' AND epp_entity_type = 'item') OR (epp_entity_id = '667251' AND epp_entity_type = 'item') OR (epp_entity_id = '12867034' AND epp_entity_type = 'item') OR (epp_entity_id = '1262226' AND epp_entity_type = 'item') OR (epp_entity_id = '14916596' AND epp_entity_type = 'item') OR (epp_entity_id = '1156904' AND epp_entity_type = 'item') OR (epp_entity_id = '732613' AND epp_entity_type = 'item') OR (epp_entity_id = '1048890' AND epp_entity_type = 'item') OR (epp_entity_id = '7849797' AND epp_entity_type = 'item') OR (epp_entity_id = '4141130' AND epp_entity_type = 'item') OR (epp_entity_id = '10600995' AND epp_entity_type = 'item') OR (epp_entity_id = '1225942' AND epp_entity_type = 'item') OR (epp_entity_id = '1178663' AND epp_entity_type = 'item') OR (epp_entity_id = '2379008' AND epp_entity_type = 'item') OR (epp_entity_id = '946194' AND epp_entity_type = 'item') OR (epp_entity_id = '307065' AND epp_entity_type = 'item') OR (epp_entity_id = '3648928' AND epp_entity_type = 'item') OR (epp_entity_id = '7262061' AND epp_entity_type = 'item') OR (epp_entity_id = '4608' AND epp_entity_type = 'item') OR (epp_entity_id = '3651106' AND epp_entity_type = 'item') OR (epp_entity_id = '1351318' AND epp_entity_type = 'item') OR (epp_entity_id = '1899389' AND epp_entity_type = 'item') OR (epp_entity_id = '236673' AND epp_entity_type = 'item') OR (epp_entity_id = '1396707' AND epp_entity_type = 'item') OR (epp_entity_id = '16843187' AND epp_entity_type = 'item') OR (epp_entity_id = '310184' AND epp_entity_type = 'item') OR (epp_entity_id = '474669' AND epp_entity_type = 'item') OR (epp_entity_id = '12871562' AND epp_entity_type = 'item') OR (epp_entity_id = '1396841' AND epp_entity_type = 'item') OR (epp_entity_id = '279575' AND epp_entity_type = 'item') OR (epp_entity_id = '956932' AND epp_entity_type = 'item') OR (epp_entity_id = '1285832' AND epp_entity_type = 'item') OR (epp_entity_id = '1341835' AND epp_entity_type = 'item') OR (epp_entity_id = '983226' AND epp_entity_type = 'item') OR (epp_entity_id = '2029336' AND epp_entity_type = 'item') OR (epp_entity_id = '12871591' AND epp_entity_type = 'item') OR (epp_entity_id = '130338' AND epp_entity_type = 'item') OR (epp_entity_id = '3650740' AND epp_entity_type = 'item') OR (epp_entity_id = '2388278' AND epp_entity_type = 'item') OR (epp_entity_id = '3648919' AND epp_entity_type = 'item') OR (epp_entity_id = '1076875' AND epp_entity_type = 'item') OR (epp_entity_id = '1545224' AND epp_entity_type = 'item') OR (epp_entity_id = '2667495' AND epp_entity_type = 'item') OR (epp_entity_id = '732235' AND epp_entity_type = 'item') OR (epp_entity_id = '4159924' AND epp_entity_type = 'item') OR (epp_entity_id = '16378653' AND epp_entity_type = 'item') OR (epp_entity_id = '12864387' AND epp_entity_type = 'item') OR (epp_entity_id = '15277881' AND epp_entity_type = 'item') OR (epp_entity_id = '132984' AND epp_entity_type = 'item') OR (epp_entity_id = '502560238080' AND epp_entity_type = 'item') OR (epp_entity_id = '2671405' AND epp_entity_type = 'item') OR (epp_entity_id = '3218302' AND epp_entity_type = 'item') OR (epp_entity_id = '2639417' AND epp_entity_type = 'item') OR (epp_entity_id = '320519' AND epp_entity_type = 'item') OR (epp_entity_id = '1963253' AND epp_entity_type = 'item') OR (epp_entity_id = '340562' AND epp_entity_type = 'item') OR (epp_entity_id = '229493' AND epp_entity_type = 'item') OR (epp_entity_id = '340566' AND epp_entity_type = 'item') OR (epp_entity_id = '971820' AND epp_entity_type = 'item') OR (epp_entity_id = '4447083' AND epp_entity_type = 'item') OR (epp_entity_id = '1972264' AND epp_entity_type = 'item') OR (epp_entity_id = '16377807' AND epp_entity_type = 'item') OR (epp_entity_id = '1253264' AND epp_entity_type = 'item') OR (epp_entity_id = '500888' AND epp_entity_type = 'item') OR (epp_entity_id = '1011003' AND epp_entity_type = 'item') OR (epp_entity_id = '2360342' AND epp_entity_type = 'item') OR (epp_entity_id = '572699' AND epp_entity_type = 'item') OR (epp_entity_id = '3329320' AND epp_entity_type = 'item') OR (epp_entity_id = '12861532' AND epp_entity_type = 'item') OR (epp_entity_id = '18274252' AND epp_entity_type = 'item') OR (epp_entity_id = '227156' AND epp_entity_type = 'item') OR (epp_entity_id = '1132665' AND epp_entity_type = 'item') OR (epp_entity_id = '560238' AND epp_entity_type = 'item') OR (epp_entity_id = '956954' AND epp_entity_type = 'item') OR (epp_entity_id = '12862968' AND epp_entity_type = 'item') OR (epp_entity_id = '737874' AND epp_entity_type = 'item') OR (epp_entity_id = '562268' AND epp_entity_type = 'item') OR (epp_entity_id = '1789505' AND epp_entity_type = 'item') OR (epp_entity_id = '2359156' AND epp_entity_type = 'item') OR (epp_entity_id = '4228784' AND epp_entity_type = 'item') OR (epp_entity_id = '22570196' AND epp_entity_type = 'item') OR (epp_entity_id = '321365' AND epp_entity_type = 'item') OR (epp_entity_id = '12868260' AND epp_entity_type = 'item') OR (epp_entity_id = '4459019' AND epp_entity_type = 'item') OR (epp_entity_id = '242593' AND epp_entity_type = 'item') OR (epp_entity_id = '679979' AND epp_entity_type = 'item') OR (epp_entity_id = '20706409' AND epp_entity_type = 'item') OR (epp_entity_id = '714829' AND epp_entity_type = 'item') OR (epp_entity_id = '2032053' AND epp_entity_type = 'item') OR (epp_entity_id = '2372910' AND epp_entity_type = 'item') OR (epp_entity_id = '1975312' AND epp_entity_type = 'item') OR (epp_entity_id = '240954' AND epp_entity_type = 'item') OR (epp_entity_id = '562260' AND epp_entity_type = 'item') OR (epp_entity_id = '217443' AND epp_entity_type = 'item') OR (epp_entity_id = '339546' AND epp_entity_type = 'item') OR (epp_entity_id = '1649341' AND epp_entity_type = 'item') OR (epp_entity_id = '42194' AND epp_entity_type = 'item') OR (epp_entity_id = '232720' AND epp_entity_type = 'item') OR (epp_entity_id = '144086' AND epp_entity_type = 'item') OR (epp_entity_id = '12867981' AND epp_entity_type = 'item') OR (epp_entity_id = '13107337' AND epp_entity_type = 'item') OR (epp_entity_id = '238246' AND epp_entity_type = 'item') OR (epp_entity_id = '1749204' AND epp_entity_type = 'item') OR (epp_entity_id = '2742643' AND epp_entity_type = 'item') OR (epp_entity_id = '3057493' AND epp_entity_type = 'item') OR (epp_entity_id = '12869500' AND epp_entity_type = 'item') OR (epp_entity_id = '15712437' AND epp_entity_type = 'item') OR (epp_entity_id = '321372' AND epp_entity_type = 'item') OR (epp_entity_id = '2028186' AND epp_entity_type = 'item') OR (epp_entity_id = '379627' AND epp_entity_type = 'item') OR (epp_entity_id = '2663466' AND epp_entity_type = 'item') OR (epp_entity_id = '12867596' AND epp_entity_type = 'item') OR (epp_entity_id = '1178627' AND epp_entity_type = 'item') OR (epp_entity_id = '946143' AND epp_entity_type = 'item') OR (epp_entity_id = '140314' AND epp_entity_type = 'item') OR (epp_entity_id = '207680' AND epp_entity_type = 'item') OR (epp_entity_id = '187525' AND epp_entity_type = 'item') OR (epp_entity_id = '2604016' AND epp_entity_type = 'item') OR (epp_entity_id = '348652' AND epp_entity_type = 'item') OR (epp_entity_id = '2347363' AND epp_entity_type = 'item') OR (epp_entity_id = '4279545' AND epp_entity_type = 'item') OR (epp_entity_id = '2024875' AND epp_entity_type = 'item') OR (epp_entity_id = '16371179' AND epp_entity_type = 'item') OR (epp_entity_id = '445572' AND epp_entity_type = 'item') OR (epp_entity_id = '2600596' AND epp_entity_type = 'item') OR (epp_entity_id = '2905597' AND epp_entity_type = 'item') OR (epp_entity_id = '15633865' AND epp_entity_type = 'item') OR (epp_entity_id = '714844' AND epp_entity_type = 'item') OR (epp_entity_id = '2080642' AND epp_entity_type = 'item') OR (epp_entity_id = '3650271' AND epp_entity_type = 'item') OR (epp_entity_id = '768463' AND epp_entity_type = 'item') OR (epp_entity_id = '1973746' AND epp_entity_type = 'item') OR (epp_entity_id = '1800487' AND epp_entity_type = 'item') OR (epp_entity_id = '1249860' AND epp_entity_type = 'item') OR (epp_entity_id = '956922' AND epp_entity_type = 'item') OR (epp_entity_id = '4477434' AND epp_entity_type = 'item') OR (epp_entity_id = '1859167' AND epp_entity_type = 'item') OR (epp_entity_id = '1963971' AND epp_entity_type = 'item') OR (epp_entity_id = '3495441' AND epp_entity_type = 'item') OR (epp_entity_id = '120352' AND epp_entity_type = 'item') OR (epp_entity_id = '1200570' AND epp_entity_type = 'item') OR (epp_entity_id = '1391609' AND epp_entity_type = 'item') OR (epp_entity_id = '116309' AND epp_entity_type = 'item') OR (epp_entity_id = '44811' AND epp_entity_type = 'item') OR (epp_entity_id = '1194400' AND epp_entity_type = 'item') OR (epp_entity_id = '2503011' AND epp_entity_type = 'item') OR (epp_entity_id = '272443' AND epp_entity_type = 'item') OR (epp_entity_id = '12866715' AND epp_entity_type = 'item') OR (epp_entity_id = '1485988' AND epp_entity_type = 'item') OR (epp_entity_id = '562272' AND epp_entity_type = 'item') OR (epp_entity_id = '4084875' AND epp_entity_type = 'item') OR (epp_entity_id = '3652283' AND epp_entity_type = 'item') OR (epp_entity_id = '1764908' AND epp_entity_type = 'item') OR (epp_entity_id = '236041' AND epp_entity_type = 'item') OR (epp_entity_id = '261243' AND epp_entity_type = 'item') OR (epp_entity_id = '12871602' AND epp_entity_type = 'item') OR (epp_entity_id = '1777686' AND epp_entity_type = 'item') OR (epp_entity_id = '1783374' AND epp_entity_type = 'item') OR (epp_entity_id = '770336' AND epp_entity_type = 'item') OR (epp_entity_id = '231630' AND epp_entity_type = 'item') OR (epp_entity_id = '2426436' AND epp_entity_type = 'item') OR (epp_entity_id = '691813' AND epp_entity_type = 'item') OR (epp_entity_id = '549600' AND epp_entity_type = 'item') OR (epp_entity_id = '192173' AND epp_entity_type = 'item') OR (epp_entity_id = '932901' AND epp_entity_type = 'item') OR (epp_entity_id = '2474500' AND epp_entity_type = 'item') OR (epp_entity_id = '1011047' AND epp_entity_type = 'item') OR (epp_entity_id = '7359877' AND epp_entity_type = 'item') OR (epp_entity_id = '609885' AND epp_entity_type = 'item') OR (epp_entity_id = '35717' AND epp_entity_type = 'item') OR (epp_entity_id = '521295' AND epp_entity_type = 'item') OR (epp_entity_id = '1963069' AND epp_entity_type = 'item') OR (epp_entity_id = '2875860' AND epp_entity_type = 'item') OR (epp_entity_id = '2324420' AND epp_entity_type = 'item') OR (epp_entity_id = '271564' AND epp_entity_type = 'item') OR (epp_entity_id = '579080' AND epp_entity_type = 'item') OR (epp_entity_id = '1367287' AND epp_entity_type = 'item') OR (epp_entity_id = '1069959' AND epp_entity_type = 'item') OR (epp_entity_id = '219470' AND epp_entity_type = 'item') OR (epp_entity_id = '317040' AND epp_entity_type = 'item') OR (epp_entity_id = '2900570' AND epp_entity_type = 'item') OR (epp_entity_id = '1477592' AND epp_entity_type = 'item') OR (epp_entity_id = '3652021' AND epp_entity_type = 'item') OR (epp_entity_id = '709218' AND epp_entity_type = 'item') OR (epp_entity_id = '240871' AND epp_entity_type = 'item') OR (epp_entity_id = '446914' AND epp_entity_type = 'item') OR (epp_entity_id = '218435' AND epp_entity_type = 'item') OR (epp_entity_id = '1975365' AND epp_entity_type = 'item') OR (epp_entity_id = '2089129' AND epp_entity_type = 'item') OR (epp_entity_id = '2155213' AND epp_entity_type = 'item') OR (epp_entity_id = '37006' AND epp_entity_type = 'item') OR (epp_entity_id = '37008' AND epp_entity_type = 'item') OR (epp_entity_id = '161428' AND epp_entity_type = 'item') OR (epp_entity_id = '3651259' AND epp_entity_type = 'item') OR (epp_entity_id = '2210273' AND epp_entity_type = 'item') OR (epp_entity_id = '1199026' AND epp_entity_type = 'item') OR (epp_entity_id = '115880' AND epp_entity_type = 'item') OR (epp_entity_id = '2590014' AND epp_entity_type = 'item') OR (epp_entity_id = '3486560' AND epp_entity_type = 'item') OR (epp_entity_id = '941980' AND epp_entity_type = 'item') OR (epp_entity_id = '12869325' AND epp_entity_type = 'item') OR (epp_entity_id = '1417210' AND epp_entity_type = 'item') OR (epp_entity_id = '969541' AND epp_entity_type = 'item') OR (epp_entity_id = '12863156' AND epp_entity_type = 'item') OR (epp_entity_id = '1987828' AND epp_entity_type = 'item') OR (epp_entity_id = '724900' AND epp_entity_type = 'item') OR (epp_entity_id = '734315' AND epp_entity_type = 'item') OR (epp_entity_id = '2040044' AND epp_entity_type = 'item') OR (epp_entity_id = '244007' AND epp_entity_type = 'item') OR (epp_entity_id = '2596393' AND epp_entity_type = 'item') OR (epp_entity_id = '1971402' AND epp_entity_type = 'item') OR (epp_entity_id = '1142561' AND epp_entity_type = 'item') OR (epp_entity_id = '20562702' AND epp_entity_type = 'item') OR (epp_entity_id = '3649330' AND epp_entity_type = 'item') OR (epp_entity_id = '2639866' AND epp_entity_type = 'item') OR (epp_entity_id = '2917500' AND epp_entity_type = 'item') OR (epp_entity_id = '622816' AND epp_entity_type = 'item') OR (epp_entity_id = '186268' AND epp_entity_type = 'item') OR (epp_entity_id = '157372' AND epp_entity_type = 'item') OR (epp_entity_id = '20561864' AND epp_entity_type = 'item') OR (epp_entity_id = '2474490' AND epp_entity_type = 'item') OR (epp_entity_id = '1010960' AND epp_entity_type = 'item') OR (epp_entity_id = '843405' AND epp_entity_type = 'item') OR (epp_entity_id = '467659' AND epp_entity_type = 'item') OR (epp_entity_id = '372698' AND epp_entity_type = 'item') OR (epp_entity_id = '2026822' AND epp_entity_type = 'item') OR (epp_entity_id = '4453141' AND epp_entity_type = 'item') OR (epp_entity_id = '1178707' AND epp_entity_type = 'item') OR (epp_entity_id = '513727' AND epp_entity_type = 'item') OR (epp_entity_id = '217457' AND epp_entity_type = 'item') OR (epp_entity_id = '141829' AND epp_entity_type = 'item') OR (epp_entity_id = '2478899' AND epp_entity_type = 'item')

The explain of the query:

+------+-------------+--------------------+--------+---------------------------+-------------+---------+---------------------------------------------+----------+--------------------------+
| id   | select_type | table              | type   | possible_keys             | key         | key_len | ref                                         | rows     | Extra
                 |
+------+-------------+--------------------+--------+---------------------------+-------------+---------+---------------------------------------------+----------+--------------------------+
|    1 | SIMPLE      | wb_entity_per_page | index  | wb_epp_entity,wb_epp_page | wb_epp_page | 4       | NULL                                        | 23158153 | Using where; Using index |
|    1 | SIMPLE      | page               | eq_ref | PRIMARY                   | PRIMARY     | 4       | wikidatawiki.wb_entity_per_page.epp_page_id |        1 |
                 |
|    1 | SIMPLE      | revision           | eq_ref | PRIMARY                   | PRIMARY     | 4       | wikidatawiki.page.page_latest               |        1 |
                 |
|    1 | SIMPLE      | text               | eq_ref | PRIMARY                   | PRIMARY     | 4       | wikidatawiki.revision.rev_text_id           |        1 |
                 |
+------+-------------+--------------------+--------+---------------------------+-------------+---------+---------------------------------------------+----------+--------------------------+
4 rows in set (0.04 sec)
Anomie added a subscriber: Anomie.Apr 7 2016, 5:07 PM
|    1 | SIMPLE      | wb_entity_per_page | index  | wb_epp_entity,wb_epp_page | wb_epp_page | 4       | NULL                                        | 23158153 | Using where; Using index |

It's deciding to do a scan on the whole wb_epp_page index (estimated to be 23 million rows!) instead of using the wb_epp_entity index to fetch the up-to-292 matching rows, which is obviously going to take a very long time. Possibly it does this because the one bogus (epp_entity_id = '502560238080' AND epp_entity_type = 'item') has a value that exceeds the range of int(10) unsigned for the epp_entity_id field so it thinks it can't manage to use the index instead of realizing that one is just impossible.

Interestingly, if the number isn't quoted (i.e. epp_entity_id = 502560238080), it does go ahead with the proper index.

If you want to dig deeper into that sort of database-y goodness, you'd probably want to ask jcrespo.

Change 282208 had a related patch set uploaded (by Addshore):
WikiPageEntityMetaDataLookup force use wb_epp_entity index

https://gerrit.wikimedia.org/r/282208

Change 282208 merged by jenkins-bot:
WikiPageEntityMetaDataLookup force non quoted entityId in select

https://gerrit.wikimedia.org/r/282208

Lydia_Pintscher closed this task as Resolved.May 3 2016, 10:14 AM
Lydia_Pintscher claimed this task.